using System;
using System.Collections.Generic;
using System.Data;
namespace Stat.IDAL
{
    public interface IStatTask
    {
        /// <summary>
        /// 
        /// </summary>
        /// <param name="name"></param>
        bool Task(string name);
        /// <summary>
        /// 
        /// </summary>
        /// <param name="name"></param>
        /// <returns></returns>
        Int32 GetTotali(string name);
        /*---------------------------------------------*/
        /// <summary>
        /// 剩下 IP Task 总数
        /// </summary>
        /// <param name="t"></param>
        /// <returns></returns>
        Int32 GetTotaliIpTask();
        //
        bool SaveData_Item(List<Model.StatItem> dt, string tableName, string CellName, int type, int webid, int vYear, int vMonth, int vDay);

        bool SaveData_Day(List<Model.StatItem> dt, Model.StatInfo model);
        bool SaveData_Hour(List<Model.StatItem> dt, Model.StatInfo model);
        bool SaveData_Engine(IList<Model.StatItem> dt, Model.StatInfo model);
        /// <summary>
        /// 过时
        /// </summary>
        DataTable GetTaskData(string tableName);
        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        DataTable GetTaskWebidList(DateTime st, DateTime et);
        /// <summary>
        /// 
        /// </summary>
        Boolean IsViewTop(int webid);
        /*---------------------------------------------*/
    }
}
